## libgda5 5.0.2

=== samples/Report/Makefile ===
CFLAGS = -Wall -g `pkg-config --cflags libgda-report-4.0` 
LDFLAGS = `pkg-config --libs libgda-report-4.0`

HTML_STYLESHEET = /usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl
FO_STYLESHEET = /usr/share/xml/docbook/stylesheet/nwalsh/fo/docbook.xsl

all: customers-report customers-report-rml customers-report-docbook schema-report

customers-report: customers-report.c
	$(CC) -o customers-report customers-report.c $(CFLAGS) $(LDFLAGS)

customers-report-rml: customers-report-rml.c
	$(CC) -o customers-report-rml customers-report-rml.c $(CFLAGS) $(LDFLAGS)

customers-report-docbook: customers-report-docbook.c
	$(CC) -o customers-report-docbook customers-report-docbook.c $(CFLAGS) $(LDFLAGS)

schema-report: schema-report.c
	$(CC) -o schema-report schema-report.c $(CFLAGS) $(LDFLAGS)

html: customers-report.xml
	xsltproc --output customers-report.html --stringparam use.extensions 0 $(HTML_STYLESHEET) customers-report.xml

schema-html: schema-report.xml
	xsltproc --output schema-report.html --stringparam use.extensions 0 $(HTML_STYLESHEET) schema-report.xml

pdf: customers-report.xml
	fop -xml customers-report.xml -xsl $(FO_STYLESHEET) -pdf customers-report.pdf

clean:
	rm -f *~
	rm -f *.o
	rm -f customers-report customers-report-rml customers-report-docbook
	rm -f customers-report.xml customers-report.html customers-report.pdf
	rm -f customers-report-rml.pdf customers-report-rml.html
	rm -f customers-report-docbook.pdf customers-report-docbook.html
	rm -f schema-report schema-report.xml

=== debian/changelog ===
libgda5 (5.0.2-2) unstable; urgency=low

  * Change section of gir1.2-gda-5.0 to introspection.
  * Update Build-Depends according to configure.ac:
    - Drop libpopt-dev, zlib1g-dev, scrollkeeper and sgmltools-lite.
    - Bump libglib2.0-dev to (>= 2.28.0).
  * Correctly build and install the gtk-doc API documentation.
  * Update all references to use /usr/share/doc/libgda-5.0-doc.
  * Suggest devhelp instead of depending on lynx | www-browser for
    libgda-5.0-doc.
  * Make test-suite failures fatal. It should pass on all archs now and we
    want to catch any regressions.
  * Use dh_python2 to deal with the python scripts in
    /usr/share/libgda-5.0/gda_trml2*.

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Jan 2012 01:25:59 +0100

libgda5 (5.0.2-1) unstable; urgency=low

  * New series, the packaging is based on the libgda4 one.
  * The initial update work was done by Murray Cumming 
    on https://launchpad.net/~openismus-team
  * The update doesn't include the work in progress on the previous series to
    get the ui components packaged, those are not required for a first upload
  * debian/watch:
    - the tarball are .xz

  [ Murray Cumming ]
  * Packaging libgda-5.0
  * Remove debian/libgda-5.0-common.preinst because it is apparently now 
    unnecessary.
  * Rename debian/libgda-5.0-doc.doc-base.libgda4-reference to 
    debian/libgda-5.0-doc.doc-base.libgda5-reference and correct 4 to 5 in its
    contents.
  * debian/libgda-5.0-doc-install: Remove mentions of /usr/share/doc and 
    /usr/share/doc-base which, for some reason, are no longer generated.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Jan 2012 17:14:41 +0100

libgda4 (4.2.8-2) unstable; urgency=low

  * Rely on cdbs to call dh_girepository:
    - Bump Build-Depends on cdbs to (>= 0.4.90).
    - Remove custom dh_girepository rules from debian/rules.
  * debian/libgda-4.0-common.install
    - Don't install the sales_test.db test data file.
  * debian/libgda-4.0-common.preinst:
    - Cleanup /etc/libgda-4.0/sales_test.db on upgrades.
  * Upload to unstable, remove check-dist.mk from debian/rules.
  * Move Gda-4.0.gir from gir1.2-gda-4.0 into libgda-4.0-dev and add the
    necessary Breaks/Replaces.
  * Install libgda-web provider and its corresponding .pc file.
  * debian/rules:
    - Be more specific which features we enable to get reliable builds in a
      tainted build environment. Explicitly disable ldap, gnome-keyring and
      GTK+ extension and tools support.
    - Trap errors in for loop using 'set -e'.
    - Bump shlibs version to (>= 4.2.8) for libgda-4.0-4.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Jul 2011 20:59:29 +0200

libgda4 (4.2.8-1) experimental; urgency=low

  [ Piotr Pokora ]
  * New upstream release

  [ Michael Biebl ]
  * debian/watch: Switch to .bz2 tarballs.
  * debian/control.in:
    - Drop Build-Depends on dpkg-dev (>= 1.13.19), even lenny has a more
      recent version.
    - Bump Standards-Version to 3.9.2. No further changes.
    - Drop old Conflicts and Replaces which are no longer necessary.
  * Bump debhelper compatibility level to 8. Update Build-Depends accordingly.
  * Don't abort on test-suite failures. The test-suite needs more work first.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Jun 2011 23:02:17 +0200

libgda4 (4.2.6-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Piotr Pokora ]
  * New upstream release 

  [ Jordi Mallach ]
  * Include check-dist.mk.

 -- Jordi Mallach <jordi@debian.org>  Sat, 23 Apr 2011 14:01:42 +0200

libgda4 (4.2.5-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 28 Mar 2011 21:45:40 +0100

libgda4 (4.2.4-1) experimental; urgency=low

  * New upstream 

 -- Piotr Pokora <piotrek.pokora@gmail.com>  Wed, 16 Feb 2011 18:14:37 +0100

libgda4 (4.2.2-2) experimental; urgency=low

  * Update to the new gir policy:
    - Rename gir1.0-gda-4.0 to gir1.2-gda-4.0.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 23 Dec 2010 12:51:06 +0000

libgda4 (4.2.2-1) experimental; urgency=low

  [ Piotr Pokora ]
  * New upstream release
  * Disabled SQLCipher provider
  * Removed unrecognized configure options
  * Build postgresql provider using boolean configure option
  * Standards-Version bump (3.9.1)  

  [ Emilio Pozuelo Monfort ]
  * debian/copyright:
    - Updated.
  * debian/rules:
    - Abort the build if the test suite doesn't pass.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 11 Dec 2010 15:12:39 +0100

libgda4 (4.0.12-1) unstable; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Tue, 12 Oct 2010 18:58:26 +0200

libgda4 (4.0.9-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Let gir1.0-gda-4.0 depend on ${gir:Depends}.
    - Build depend on gir1.0-freedesktop and gir1.0-glib-2.0.
  * debian/rules:
    - Call dh_girepository for gir1.0-gda-4.0.
  * debian/rules,
    debian/source/format:
    - Switch to source format 3.0 (quilt).

  [ Piotr Pokora ]
  * New upstream. Closes: #577711

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 16 Jul 2010 23:37:27 +0200

libgda4 (4.0.8-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Run the test suite during the build, but don't make it fatal (yet).

  [ Piotr Pokora ]
  * New upstream
  * Build depend on libmysqlclient-dev package.
  * Added libgda4 possible conflicts (also added to Replaces for save updates).
  * New gir1.0-gda-4.0 package
  * Dev package suggests doc one

 -- Piotr Pokora <piotrek.pokora@gmail.com>  Mon, 08 Mar 2010 19:34:07 +0100

libgda4 (4.0.7-1) unstable; urgency=low

  * New upstream
  * Removed libgda3-doc suggested package

 -- Piotr Pokora <piotrek.pokora@gmail.com>  Wed, 10 Feb 2010 16:28:43 +0100

libgda4 (4.0.6-1) unstable; urgency=low



=== debian/control ===
Source: libgda5
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Piotr Pokora <piotrek.pokora@gmail.com>
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libgda5/
Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/libgda5/
Build-Depends: cdbs (>= 0.4.90),
               debhelper (>= 8),
               gnome-pkg-tools (>= 0.11),
               intltool,
               pkg-config (>= 0.18),
               libjson-glib-dev,
               libglib2.0-dev (>= 2.28.0),
               libsqlite3-dev (>= 3.6.11),
               libxml2-dev (>= 2.4.22),
               libxslt1-dev (>= 1.0.18),
               libmysqlclient-dev,
               libncurses5-dev,
               libpq-dev,
               libreadline-dev,
               libsoup2.4-dev,
               gobject-introspection (>= 0.10.0),
               libgirepository1.0-dev (>= 0.10.0),
               gir1.2-freedesktop,
               gir1.2-glib-2.0,
               gtk-doc-tools,
               python (>= 2.6.6-3~)
Build-Depends-Indep: libglib2.0-doc
Standards-Version: 3.9.2
Homepage: http://www.gnome-db.org/

Package: libgda-5.0-4
Architecture: any
Depends: libgda-5.0-common (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgda-5.0-bin,
          libgda-5.0-mysql,
          libgda-5.0-postgres
Description: data abstraction library based on GLib
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.

Package: libgda-5.0-bin
Section: database
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: data abstraction library based on GLib -- binary files
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains binary files for libgda.


Package: libgda-5.0-common
Section: database
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         libjs-jquery
Recommends: libgda-5.0-4
Description: data abstraction library based on GLib -- common files
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains common files for libgda.

Package: libgda-5.0-dev
Section: libdevel
Architecture: any
Depends: libgda-5.0-4 (= ${binary:Version}),
         gir1.2-gda-5.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.2.0),
         libxslt1-dev,
         ${misc:Depends}
Suggests: libgda-5.0-doc
Description: data abstraction library based on GLib -- development files
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains the header files and libraries needed for
 development.

Package: libgda-5.0-4-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgda-5.0-4 (= ${binary:Version}),
         ${misc:Depends}
Description: data abstraction library based on GLib -- debug files
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains dettached symbols for debug. Most people
 don't need this package.

Package: libgda-5.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: data abstraction library based on GLib -- documentation files
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains document files about libgda API.

Package: libgda-5.0-mysql
Section: database
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: MySQL provider for libgda database abstraction library
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains the provider needed to access MySQL databases
 through libgda.

Package: libgda-5.0-postgres
Section: database
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PostgreSQL provider for libgda database abstraction library
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains the provider needed to access PostgreSQL
 databases through libgda.

Package: gir1.2-gda-5.0
Section: introspection
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Description: data abstraction library based on GLib -- GObject Introspection
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains introspection data for libgda.

=== debian/rules ===
#!/usr/bin/make -f 
# -*- Makefile -*-

DISABLE_UPDATE_UPLOADERS := 1
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := libgda
SONAME := 4

LDFLAGS += -Wl,-z,defs -Wl,--as-needed -Wl,-O1

DEB_DH_MAKESHLIBS_ARGS_ALL += -X /usr/lib/libgda-5.0/providers
DEB_DH_MAKESHLIBS_ARGS_libgda-5.0-$(SONAME) += -V 'libgda-5.0-$(SONAME) (>= 5.0.2)'

DEB_MAKE_CHECK_TARGET = check

DEB_CONFIGURE_EXTRA_FLAGS +=	--with-postgres		\
				--with-mysql		\
				--with-libsoup		\
				--without-bdb		\
				--without-oracle	\
				--without-ldap		\
				--without-firebird	\
				--without-mdb		\
				--without-java		\
				--without-gnome-keyring	\
				--without-ui		\
				--enable-system-sqlite	\
				--enable-introspection	\
				--disable-crypto	\
				--enable-gtk-doc

clean::
	sed -e 's#@SONAME@#$(SONAME)#g' \
		-e 's#@GNOME_TEAM@#$(UPLOADERS)#g' \
		debian/control.in >debian/control
	
	# remove generated files
	rm -f libsql/lexer.c
	rm -f libsql/parser.c

binary-install/libgda-5.0-common::
	# Don't ship our own copy of jquery.js
	rm debian/libgda-5.0-common/usr/share/libgda-5.0/web/jquery.js
	ln -s ../../javascript/jquery/jquery.js \
		debian/libgda-5.0-common/usr/share/libgda-5.0/web/
	dh_python2 -p$(cdbs_curpkg) usr/share/libgda-5.0

common-binary-post-install-arch::
	set -e; for i in libgda-5.0-common libgda-5.0-bin libgda-5.0-dev libgda-5.0-$(SONAME)-dbg \
	  libgda-5.0-mysql libgda-5.0-postgres libgda-5.0-sqlite; \
	do \
		rm -rf debian/$$i/usr/share/doc; \
		dh_link -p$$i usr/share/doc/libgda-5.0-$(SONAME) usr/share/doc/$$i; \
	done

.PHONY: clean common-binary-post-install-arch

## libgda5 5.0.3

=== debian/changelog ===
libgda5 (5.0.3-2) unstable; urgency=low

  [ Cyril Brulebois ]
  * Link the sqlite provider against sqlite3 (Closes: #667751).

  [ Michael Biebl ]
  * Use dh-autoreconf to update the build system.
  * Drop explicit Build-Depends on gir1.2-freedesktop and gir1.2-glib-2.0.

 -- Michael Biebl <biebl@debian.org>  Mon, 08 Oct 2012 21:52:11 +0200

libgda5 (5.0.3-1) unstable; urgency=low

  * New upstream release.
  * Add symbols file for libgda-5.0-4.

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Feb 2012 13:43:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Piotr Pokora <piotrek.pokora@gmail.com>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Piotr Pokora <piotrek.pokora@gmail.com>
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libgda5/
 Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/libgda5/
 Build-Depends: cdbs (>= 0.4.90),
@@ -10,6 +10,8 @@
                gnome-pkg-tools (>= 0.11),
                intltool,
                pkg-config (>= 0.18),
+               dh-autoreconf,
+               gnome-doc-utils,
                libjson-glib-dev,
                libglib2.0-dev (>= 2.28.0),
                libsqlite3-dev (>= 3.6.11),
@@ -22,8 +24,6 @@
                libsoup2.4-dev,
                gobject-introspection (>= 0.10.0),
                libgirepository1.0-dev (>= 0.10.0),
-               gir1.2-freedesktop,
-               gir1.2-glib-2.0,
                gtk-doc-tools,
                python (>= 2.6.6-3~)
 Build-Depends-Indep: libglib2.0-doc

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/gnome.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
@@ -14,7 +15,6 @@
 LDFLAGS += -Wl,-z,defs -Wl,--as-needed -Wl,-O1
 
 DEB_DH_MAKESHLIBS_ARGS_ALL += -X /usr/lib/libgda-5.0/providers
-DEB_DH_MAKESHLIBS_ARGS_libgda-5.0-$(SONAME) += -V 'libgda-5.0-$(SONAME) (>= 5.0.2)'
 
 DEB_MAKE_CHECK_TARGET = check
 
@@ -38,10 +38,6 @@
 	sed -e 's#@SONAME@#$(SONAME)#g' \
 		-e 's#@GNOME_TEAM@#$(UPLOADERS)#g' \
 		debian/control.in >debian/control
-	
-	# remove generated files
-	rm -f libsql/lexer.c
-	rm -f libsql/parser.c
 
 binary-install/libgda-5.0-common::
 	# Don't ship our own copy of jquery.js

## libgda5 5.2.2

=== samples/F-Spot/Makefile ===
CFLAGS = -Wall -g `pkg-config --cflags libgda-5.0`
LDFLAGS = `pkg-config --libs libgda-5.0`

all: repair-path

repair-path: repair-path.c
	$(CC) -o repair-path repair-path.c $(CFLAGS) $(LDFLAGS)

clean:
	rm -f *~
	rm -f *.o
	rm -f repair-path

=== samples/SqlBuilder/Makefile ===
CFLAGS = -Wall -g -DGDA_DISABLE_DEPRECATED `pkg-config --cflags libgda-5.0`
LDFLAGS = `pkg-config --libs libgda-5.0`

all: example example_cnc

example: example.c
	$(CC) -o example example.c $(CFLAGS) $(LDFLAGS)

example_cnc: example_cnc.c
	$(CC) -o example_cnc example_cnc.c $(CFLAGS) $(LDFLAGS)

clean:
	rm -f *~
	rm -f *.o
	rm -f example example_cnc
	rm -f test.db

=== samples/WritableSelect/Makefile ===
CFLAGS = -Wall -g -DGDA_DISABLE_DEPRECATED `pkg-config --cflags libgda-5.0`
LDFLAGS = `pkg-config --libs libgda-5.0`

all: example

example: example.c
	$(CC) -o example example.c $(CFLAGS) $(LDFLAGS)

clean:
	rm -f *~
	rm -f *.o
	rm -f example
	rm -f example_db.db

=== debian/changelog ===
libgda5 (5.2.2-1) unstable; urgency=low

  * New upstream release.
    + Fixes FTBFS with new gobject-introspection. Closes: #708806.
  * debian/libgda-5.0-4.symbols:
    + Add new symbols and remove some private symbols that are no longer
      exported.
    + Add Build-Depends-Package field.
  * debian/rules:
    + Pass -c4 to dh_makeshlibs.
    + Enable parallel builds, except for the test suite as it breaks
      otherwise.
  * debian/control.in:
    + Bump Standards-Version to 3.9.4, no changes needed.
    + Update build-dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 26 Jan 2014 19:00:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Piotr Pokora <piotrek.pokora@gmail.com>
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libgda5/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libgda5/
 Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/libgda5/
 Build-Depends: cdbs (>= 0.4.90),
                debhelper (>= 8),
                gnome-pkg-tools (>= 0.11),
-               intltool,
+               intltool (>= 0.40.6),
                pkg-config (>= 0.18),
                dh-autoreconf,
                gnome-doc-utils,
+               yelp-tools,
+               yelp-xsl,
                libjson-glib-dev,
-               libglib2.0-dev (>= 2.28.0),
+               libglib2.0-dev (>= 2.32.0),
                libsqlite3-dev (>= 3.6.11),
                libxml2-dev (>= 2.4.22),
                libxslt1-dev (>= 1.0.18),
@@ -22,12 +24,13 @@
                libpq-dev,
                libreadline-dev,
                libsoup2.4-dev,
-               gobject-introspection (>= 0.10.0),
-               libgirepository1.0-dev (>= 0.10.0),
+               libsecret-1-dev,
+               gobject-introspection (>= 1.30.0),
+               libgirepository1.0-dev (>= 1.30.0),
                gtk-doc-tools,
                python (>= 2.6.6-3~)
 Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.gnome-db.org/
 
 Package: libgda-5.0-4
@@ -81,7 +84,7 @@
 Architecture: any
 Depends: libgda-5.0-4 (= ${binary:Version}),
          gir1.2-gda-5.0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.2.0),
+         libglib2.0-dev (>= 2.32.0),
          libxslt1-dev,
          ${misc:Depends}
 Suggests: libgda-5.0-doc

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,15 @@
 
 LDFLAGS += -Wl,-z,defs -Wl,--as-needed -Wl,-O1
 
+# Enable parallel build support
+DEB_BUILD_PARALLEL = 1
+
+DEB_DH_MAKESHLIBS_ARGS_libgda-5.0-$(SONAME) += -- -c4
 DEB_DH_MAKESHLIBS_ARGS_ALL += -X /usr/lib/libgda-5.0/providers
 
-DEB_MAKE_CHECK_TARGET = check
+# Parallel builds break the test suite, see
+# https://bugzilla.gnome.org/show_bug.cgi?id=723038
+DEB_MAKE_CHECK_TARGET = -j1 check
 
 DEB_CONFIGURE_EXTRA_FLAGS +=	--with-postgres		\
 				--with-mysql		\

## libgda5 5.2.4

=== samples/AsyncExec/Makefile ===
CFLAGS = -Wall -g -DGDA_DISABLE_DEPRECATED `pkg-config --cflags libgda-5.0`
LDFLAGS = `pkg-config --libs libgda-5.0`

all: example

example: example.c
	$(CC) -o example example.c $(CFLAGS) $(LDFLAGS)

clean:
	rm -f *~
	rm -f *.o
	rm -f example

=== samples/LdapBrowser/Makefile ===
CFLAGS = -Wall -g -DGDA_DISABLE_DEPRECATED `pkg-config --cflags libgda-ui-5.0`
LDFLAGS = `pkg-config --libs libgda-ui-5.0`

all: ldap-browser

ldap-browser: ldap-browser.c
	$(CC) -o ldap-browser ldap-browser.c $(CFLAGS) $(LDFLAGS)

clean:
	rm -f *~
	rm -f *.o
	rm -f ldap-browser

=== debian/changelog ===
libgda5 (5.2.4-9) unstable; urgency=medium

  * Use dh_auto_test --no-parallel instead of -- -j1 to fix FTBFS

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 28 Feb 2018 09:23:04 -0500

libgda5 (5.2.4-8) unstable; urgency=medium

  * Update vala_version.patch for vala 0.40 (Closes: #891738)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 28 Feb 2018 07:47:12 -0500

libgda5 (5.2.4-7) unstable; urgency=medium

  * Update vala_version.patch for vala 0.38
  * Update 0001-Convert-files-to-Unicode.patch to fix FTBFS
  * Drop glib-2.54-ftbfs.patch: Incorporated into Unicode patch
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 11 Feb 2018 17:30:54 -0500

libgda5 (5.2.4-6) unstable; urgency=medium

  * Fix FTBFS for -arch-dep builds.
  * Drop unneeded B-D on dh-autoreconf with debhelper compat 10.

 -- Jordi Mallach <jordi@debian.org>  Tue, 12 Sep 2017 17:23:20 +0200

libgda5 (5.2.4-5) unstable; urgency=medium

  * Add libgtk-3-doc to B-D-Indep to fix reflinks in generated docs.
  * Add missing Build-Dep on dh_python (lintian).
  * Add remove_builddate.patch: remove references to GDA_BUILDDATE in
    generated documentation to fix build reproducibility.
  * Rewrite debian/rules using dh sequencer and move away from CDBS.
  * Add vala_version.patch: make configure search for vala-0.36.
  * Pass --enable-vala, add Build-Depend on valac and install generated
    .vapi file in -dev (LP: #1016727).
  * Add libgda-5.0-4.docs to install AUTHORS, NEWS and README, which were
    installed by default with CDBS.
  * Mark relevant packages as Multi-Arch: same or foreign.
  * Bump debhelper Build-Dep to >= 10.
  * Update Standards-Version to 4.1.0.
  * Stop using $SONAME substitution.
  * Remove Piotr from Uploaders. Thanks for your past contributions.
    The Uploaders list is now up to date (closes: #857484).

 -- Jordi Mallach <jordi@debian.org>  Tue, 12 Sep 2017 10:35:53 +0200

libgda5 (5.2.4-4) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * debian/rules: If the test suite fails, print the actual errors.

  [ Jordi Mallach ]
  * Add patches from Adrian Bunk to fix FTBFS issues with new glib,
    by converting files with mixed encoding to UTF-8 (closes: #870741).
  * Drop libgda-5.0-4-dbg in favour of dbgsym and pass the corresponding
    --dbgsym-migration arg to dh_strip.

 -- Jordi Mallach <jordi@debian.org>  Mon, 04 Sep 2017 02:36:18 +0200

libgda5 (5.2.4-3) unstable; urgency=medium

  * Build-depend on default-libmysqlclient-dev instead of libmysqlclient-dev.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 20 Nov 2016 03:07:26 +0100

libgda5 (5.2.4-2) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/Accept-SQLITE_INDEX_CONSTRAINT_LIKE-from-sqlite.patch
    to fix testsuite failure (Closes: #811068)
  * Fix spelling error in package description (Closes: #713901)
  * Add debian/missing-sources/jquery.js
    - this is the source for the *unused* and *removed during build*
      minified tools/jquery.js but needed simply to comply with policy
      so totally pointless. Do *not* use this file for any purpose.
      File picked up from: https://github.com/jquery/jquery/releases/tag/1.4.2
      (Closes: #788729)
  * debian/rules: remove unversioned binaries, manpage and test database
    as we ship the versioned equivalents and don't want this clutter to
    show up in list-missing.
  * Add debian/source.lintian-overrides
    - silences the false positive missing-source for
      doc/mallard/gda-vala/C/jquery.syntax.brush.clang.js
      which is the actual source
  * Bump Standards-Version to 3.9.8

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 23 Sep 2016 10:22:18 +0200

libgda5 (5.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to make it compliant with version 1.0 of the spec.
  * Drop Build-Depends on libsecret-1-dev, not needed.
  * Bump Standards-Version to 3.9.6.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Jul 2015 17:48:05 +0200

libgda5 (5.2.2-2) unstable; urgency=medium

  * Install typelib file into MA libdir.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 25 Sep 2014 11:59:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: libgda5
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Piotr Pokora <piotrek.pokora@gmail.com>
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libgda5/
-Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/libgda5/
-Build-Depends: cdbs (>= 0.4.90),
-               debhelper (>= 8),
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
+               dh-python,
                gnome-pkg-tools (>= 0.11),
                intltool (>= 0.40.6),
                pkg-config (>= 0.18),
-               dh-autoreconf,
                gnome-doc-utils,
                yelp-tools,
                yelp-xsl,
@@ -19,22 +20,25 @@
                libsqlite3-dev (>= 3.6.11),
                libxml2-dev (>= 2.4.22),
                libxslt1-dev (>= 1.0.18),
-               libmysqlclient-dev,
+               default-libmysqlclient-dev,
                libncurses5-dev,
                libpq-dev,
                libreadline-dev,
                libsoup2.4-dev,
-               libsecret-1-dev,
                gobject-introspection (>= 1.30.0),
                libgirepository1.0-dev (>= 1.30.0),
                gtk-doc-tools,
-               python (>= 2.6.6-3~)
-Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 3.9.4
+               python (>= 2.6.6-3~),
+               valac (>= 0.39.7)
+Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libgda5/
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/libgda5/
 Homepage: http://www.gnome-db.org/
 
 Package: libgda-5.0-4
 Architecture: any
+Multi-Arch: same
 Depends: libgda-5.0-common (>= ${source:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
@@ -51,6 +55,7 @@
 Package: libgda-5.0-bin
 Section: database
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: data abstraction library based on GLib -- binary files
@@ -66,6 +71,7 @@
 Package: libgda-5.0-common
 Section: database
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python:Depends},
          libjs-jquery
@@ -82,6 +88,7 @@
 Package: libgda-5.0-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libgda-5.0-4 (= ${binary:Version}),
          gir1.2-gda-5.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.32.0),
@@ -98,25 +105,10 @@
  This package contains the header files and libraries needed for
  development.
 
-Package: libgda-5.0-4-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libgda-5.0-4 (= ${binary:Version}),
-         ${misc:Depends}
-Description: data abstraction library based on GLib -- debug files
- libgda is a (relatively small) database abstraction/access library
- integrated on the GLib object model. It can be used as a metadata
- extractor, to get information about all database objects in a common
- way, and as an ODBC-like wrapper to access data in different engines
- through an easier API.
- .
- This package contains dettached symbols for debug. Most people
- don't need this package.
-
 Package: libgda-5.0-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: devhelp
 Description: data abstraction library based on GLib -- documentation files
@@ -131,6 +123,7 @@
 Package: libgda-5.0-mysql
 Section: database
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: MySQL provider for libgda database abstraction library
@@ -146,6 +139,7 @@
 Package: libgda-5.0-postgres
 Section: database
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: PostgreSQL provider for libgda database abstraction library
@@ -161,6 +155,7 @@
 Package: gir1.2-gda-5.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends}

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := libgda

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_makeshlibs:
	dh_makeshlibs -X /usr/lib/$(DEB_HOST_MULTIARCH)/libgda-5.0/providers \
		-plibgda-5.0-4 -- -c4
	dh_makeshlibs -X /usr/lib/$(DEB_HOST_MULTIARCH)/libgda-5.0/providers

# Parallel builds break the test suite, see
# https://bugzilla.gnome.org/show_bug.cgi?id=723038
override_dh_auto_test:
	dh_auto_test --no-parallel

override_dh_strip:
	dh_strip --dbgsym-migration='libgda-5.0-4-dbg (<< 5.2.4-4~)'

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-postgres		\
		--with-mysql		\
		--with-libsoup		\
		--without-bdb		\
		--without-oracle	\
		--without-ldap		\
		--without-firebird	\
		--without-mdb		\
		--without-java		\
		--without-gnome-keyring	\
		--without-ui		\
		--enable-system-sqlite	\
		--enable-introspection	\
		--enable-vala		\
		--disable-crypto	\
		--enable-gtk-doc

override_dh_install-indep:
	dh_install
	# Don't ship our own copy of jquery.js
	rm debian/libgda-5.0-common/usr/share/libgda-5.0/web/jquery.js
	ln -s ../../javascript/jquery/jquery.js \
		debian/libgda-5.0-common/usr/share/libgda-5.0/web/
	dh_python2 -plibgda-5.0-common usr/share/libgda-5.0

override_dh_install-arch:
	dh_install
	set -e; for pkg in libgda-5.0-bin libgda-5.0-dev \
	  libgda-5.0-mysql libgda-5.0-postgres; \
	do \
		rm -rf debian/$$pkg/usr/share/doc; \
		dh_link -p$$pkg usr/share/doc/libgda-5.0-4 usr/share/doc/$$pkg; \
	done

	find debian -name '*.la' -delete
	# remove test database, not shipped.
	rm -f debian/tmp/etc/libgda-5.0/sales_test.db
	# remove unversioned binaries, the -5.0 counterparts are installed.
	rm -f debian/tmp/usr/bin/gda-list-config \
		debian/tmp/usr/bin/gda-list-server-op \
		debian/tmp/usr/bin/gda-sql
	rm -f debian/tmp/usr/share/man/man1/gda-sql.1

override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
version=4
https://download.gnome.org/sources/libgda/([\d\.]+[02468])/ \
	libgda@ANY_VERSION@\.tar\.xz

## libgda5 5.2.8

=== samples/Blobs/Makefile ===
CFLAGS = -Wall -g -DGDA_DISABLE_DEPRECATED `pkg-config --cflags libgda-5.0`
LDFLAGS = `pkg-config --libs libgda-5.0`

all: blobtest

blobtest: blobtest.c
	$(CC) -o blobtest blobtest.c $(CFLAGS) $(LDFLAGS)

clean:
	rm -f *~
	rm -f *.o
	rm -f blobtest
	rm -f fetched_*

=== samples/SimpleUIForm/Makefile ===
CFLAGS = -Wall -g -DGDA_DISABLE_DEPRECATED `pkg-config --cflags libgda-ui-5.0`
LDFLAGS = `pkg-config --libs libgda-ui-5.0`

all: example-rw example-ro

example-rw: example.c
	$(CC) -o example-rw example.c $(CFLAGS) -DWRITABLE $(LDFLAGS)

example-ro: example.c
	$(CC) -o example-ro example.c $(CFLAGS) $(LDFLAGS)

clean:
	rm -f *~
	rm -f *.o
	rm -f example-r*

=== debian/changelog ===
libgda5 (5.2.8-1) unstable; urgency=medium

  * New upstream release
  * Use Files-Excluded for the jquery copy
  * Add don-t-install-jquery.patch:
    - Don't install jquery file that we have excluded.
  * Update debian/watch to only look for stable version 5 releases
  * Drop patches applied in new release:
    - 0001-Convert-files-to-Unicode.patch
    - Accept-SQLITE_INDEX_CONSTRAINT_LIKE-from-sqlite.patch
    - remove_builddate.patch
    - vala_version.patch
  * Bump minimum libsqlite3-dev to 3.10.12
  * Build-Depend on libgee-0.8-dev, now required for the vala bindings
  * Use --disable-gdaui-gi
  * Explicitly disable libsecret
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 21:01:17 -0500

libgda5 (5.2.4-11) unstable; urgency=medium

  * Update vala_version.patch for vala 0.42 (Closes: #907941)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 15 Sep 2018 11:41:46 -0400

libgda5 (5.2.4-10) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control.in: Update Vcs-* for migration from Alioth svn to
    salsa.debian.org git
  * d/gbp.conf: Add
  * d/patches: Refresh through gbp pq, filling in missing authors
    and dates from d/changelog

  [ Jeremy Bicha ]
  * Ignore build test failures since the tests don't pass reliably
    and no one is volunteering to fix them

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 29 Mar 2018 06:11:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: libgda5
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-python,
                gnome-pkg-tools (>= 0.11),
@@ -16,8 +16,9 @@
                yelp-tools,
                yelp-xsl,
                libjson-glib-dev,
+               libgee-0.8-dev,
                libglib2.0-dev (>= 2.32.0),
-               libsqlite3-dev (>= 3.6.11),
+               libsqlite3-dev (>= 3.10.12),
                libxml2-dev (>= 2.4.22),
                libxslt1-dev (>= 1.0.18),
                default-libmysqlclient-dev,
@@ -29,12 +30,12 @@
                libgirepository1.0-dev (>= 1.30.0),
                gtk-doc-tools,
                python (>= 2.6.6-3~),
-               valac (>= 0.39.7)
+               valac (>= 0.41.7)
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libgda5/
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/libgda5/
+Standards-Version: 4.3.0
 Homepage: http://www.gnome-db.org/
+Vcs-Git: https://salsa.debian.org/gnome-team/libgda5.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/libgda5
 
 Package: libgda-5.0-4
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
-
-GNOME_MODULE := libgda
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gnome
@@ -16,8 +13,9 @@
 
 # Parallel builds break the test suite, see
 # https://bugzilla.gnome.org/show_bug.cgi?id=723038
+# Ignore test failures since test suite seems very unreliable on the builders
 override_dh_auto_test:
-	dh_auto_test --no-parallel
+	dh_auto_test --no-parallel || true
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='libgda-5.0-4-dbg (<< 5.2.4-4~)'
@@ -26,6 +24,7 @@
 	dh_auto_configure -- \
 		--with-postgres		\
 		--with-mysql		\
+		--without-libsecret	\
 		--with-libsoup		\
 		--without-bdb		\
 		--without-oracle	\
@@ -35,6 +34,7 @@
 		--without-java		\
 		--without-gnome-keyring	\
 		--without-ui		\
+		--disable-gdaui-gi	\
 		--enable-system-sqlite	\
 		--enable-introspection	\
 		--enable-vala		\
@@ -44,7 +44,6 @@
 override_dh_install-indep:
 	dh_install
 	# Don't ship our own copy of jquery.js
-	rm debian/libgda-5.0-common/usr/share/libgda-5.0/web/jquery.js
 	ln -s ../../javascript/jquery/jquery.js \
 		debian/libgda-5.0-common/usr/share/libgda-5.0/web/
 	dh_python2 -plibgda-5.0-common usr/share/libgda-5.0

## libgda5 5.2.9

=== samples/BDB/Makefile ===
CFLAGS = -Wall -g `pkg-config --cflags libgda-5.0`
LDFLAGS = `pkg-config --libs libgda-5.0`
BDB_CFLAGS = -Wall -g
BDB_LDFLAGS = -ldb

all: fill access-raw access-custom

fill: fill.c common.h
	$(CC) -o fill fill.c $(BDB_CFLAGS) $(BDB_LDFLAGS)

access-raw: access-raw.c common.h
	$(CC) -o access-raw access-raw.c $(CFLAGS) $(LDFLAGS)

custom-bdb-model.o: custom-bdb-model.c custom-bdb-model.h
	$(CC) -c -o custom-bdb-model.o custom-bdb-model.c $(CFLAGS) $(GDA_CFLAGS)

access-custom: access-custom.c common.h custom-bdb-model.o
	$(CC) -o access-custom access-custom.c custom-bdb-model.o $(CFLAGS) $(LDFLAGS)

clean:
	rm -f *~
	rm -f *.o
	rm -f fill access-raw access-custom
	rm -f access.db

=== samples/Report/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-CFLAGS = -Wall -g `pkg-config --cflags libgda-report-4.0` 
-LDFLAGS = `pkg-config --libs libgda-report-4.0`
+CFLAGS = -Wall -g `pkg-config --cflags libgda-report-5.0` 
+LDFLAGS = `pkg-config --libs libgda-report-5.0`
 
 HTML_STYLESHEET = /usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl
 FO_STYLESHEET = /usr/share/xml/docbook/stylesheet/nwalsh/fo/docbook.xsl

=== samples/TableCopy/Makefile ===
CFLAGS = -Wall -g `pkg-config --cflags libgda-5.0`
LDFLAGS = `pkg-config --libs libgda-5.0`

all: table-copy table-copy-easier

table-copy: table-copy.c common.o
	$(CC) -o table-copy common.o table-copy.c $(CFLAGS) $(LDFLAGS)

table-copy-easier: table-copy-easier.c common.o
	$(CC) -o table-copy-easier common.o table-copy-easier.c $(CFLAGS) $(LDFLAGS)

common.o: common.h common.c
	$(CC) -c -o common.o common.c $(CFLAGS)

clean:
	rm -f *~
	rm -f *.o
	rm -f table-copy table-copy-easier
	rm -f copy.db

=== debian/changelog ===
libgda5 (5.2.9-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Henriksson ]
  * Drop superfluous gnome-doc-utils build-dependency (Closes: #949866)
  * Stop shipping (python2) trml2html + trml2pdf tools (Closes: #936865)

  [ Debian Janitor ]
  * Set upstream metadata fields:
    - Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 10 Feb 2020 14:23:36 +0100

libgda5 (5.2.9-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * Drop obsolete dh_strip dbgsym migration rule

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 09 Oct 2019 20:12:20 -0400

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 11),
-               dh-python,
-               gnome-pkg-tools (>= 0.11),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                intltool (>= 0.40.6),
                pkg-config (>= 0.18),
-               gnome-doc-utils,
                yelp-tools,
                yelp-xsl,
                libjson-glib-dev,
@@ -29,7 +28,6 @@
                gobject-introspection (>= 1.30.0),
                libgirepository1.0-dev (>= 1.30.0),
                gtk-doc-tools,
-               python (>= 2.6.6-3~),
                valac (>= 0.41.7)
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
 Standards-Version: 4.3.0
@@ -74,7 +72,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-         ${python:Depends},
          libjs-jquery
 Recommends: libgda-5.0-4
 Description: data abstraction library based on GLib -- common files

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome
+	dh $@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X /usr/lib/$(DEB_HOST_MULTIARCH)/libgda-5.0/providers \
@@ -16,9 +16,6 @@
 # Ignore test failures since test suite seems very unreliable on the builders
 override_dh_auto_test:
 	dh_auto_test --no-parallel || true
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='libgda-5.0-4-dbg (<< 5.2.4-4~)'
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -41,12 +38,17 @@
 		--disable-crypto	\
 		--enable-gtk-doc
 
+override_dh_auto_install:
+	dh_auto_install
+	# Drop trml2{html,pdf} python2 tools, build system in future 6.0/master
+	# disables libgda-report (and thus these tools) by default.
+	rm -rf debian/tmp/usr/share/libgda-5.0/gda_trml2*
+
 override_dh_install-indep:
 	dh_install
 	# Don't ship our own copy of jquery.js
 	ln -s ../../javascript/jquery/jquery.js \
 		debian/libgda-5.0-common/usr/share/libgda-5.0/web/
-	dh_python2 -plibgda-5.0-common usr/share/libgda-5.0
 
 override_dh_install-arch:
 	dh_install
